Bug 909387 - Review Request: c++-gtk-utils - A library for GTK+ programming with C++
Summary: Review Request: c++-gtk-utils - A library for GTK+ programming with C++
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-08 16:38 UTC by Frederik Holden
Modified: 2013-02-28 07:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-28 07:05:29 UTC
echevemaster: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Frederik Holden 2013-02-08 16:38:16 UTC
Spec URL: http://airwave.fedorapeople.org/c++-gtk-utils/c++-gtk-utils.spec
SRPM URL: http://airwave.fedorapeople.org/c++-gtk-utils/c++-gtk-utils-2.0.14-1.fc18.src.rpm
---
Description:
c++-gtk-utils is a lightweight library containing a number of classes and
functions for programming GTK+ programs using C++ in POSIX (Unix-like)
environments, where the user does not want to use a full-on wrapper such as
gtkmm or wxWidgets, or is concerned about exception safety or thread safety of
the wrapper and their documentation.
---
Fedora Account System Username: airwave
As this is my first package, I need a sponsor.

Koji build link: http://koji.fedoraproject.org/koji/taskinfo?taskID=4939110

Comment 1 Benedikt Schäfer 2013-02-09 21:05:24 UTC
Note: I am on the way to become a packanger, so don't trust me to much maybe i am wrong! 


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10455040 bytes in 453 files.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[X]: Package does not contain kernel modules.
[X]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[X]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[X]: Package contains no bundled libraries.
[X]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[X]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[?]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     devel-doc, %package devel
[X]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (unversioned/unknown version) LGPL (v2)", "GPL (v2 or later)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/benedikt/909387-c++-gtk-utils/licensecheck.txt
[?]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[?]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Package must own all directories that it creates.
[?]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[?]: Package is not relocatable.
[X]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[X]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[X]: Useful -debuginfo package or justification otherwise.
[!]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10455040 bytes in 453 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[X]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: c++-gtk-utils-devel-doc-2.0.14-1.fc18.noarch.rpm
          c++-gtk-utils-debuginfo-2.0.14-1.fc18.x86_64.rpm
          c++-gtk-utils-devel-2.0.14-1.fc18.x86_64.rpm
          c++-gtk-utils-2.0.14-1.fc18.src.rpm
          c++-gtk-utils-2.0.14-1.fc18.x86_64.rpm
c++-gtk-utils-devel-doc.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-devel.x86_64: W: no-documentation
c++-gtk-utils.src: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils.src: W: spelling-error %description -l en_US wxWidgets -> widgets
c++-gtk-utils.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
5 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint c++-gtk-utils-devel c++-gtk-utils-devel-doc c++-gtk-ut 
ils c++-gtk-utils-debuginfo
c++-gtk-utils-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-devel.x86_64: W: no-documentation
c++-gtk-utils-devel-doc.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
4 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
c++-gtk-utils-devel-doc-2.0.14-1.fc18.noarch.rpm (rpmlib, GLIBC filtered):
    

c++-gtk-utils-debuginfo-2.0.14-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

c++-gtk-utils-devel-2.0.14-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    c++-gtk-utils(x86-64) = 2.0.14-1.fc18
    libcxx-gtk-utils-3-2.0.so.0()(64bit)
    pkgconfig(glib-2.0)
    pkgconfig(gthread-2.0)
    pkgconfig(gtk+-3.0)
    pkgconfig(gtk+-unix-print-3.0)

c++-gtk-utils-2.0.14-1.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
c++-gtk-utils-devel-doc-2.0.14-1.fc18.noarch.rpm:
    
    c++-gtk-utils-devel-doc = 2.0.14-1.fc18

c++-gtk-utils-debuginfo-2.0.14-1.fc18.x86_64.rpm:
    
    c++-gtk-utils-debuginfo = 2.0.14-1.fc18
    c++-gtk-utils-debuginfo(x86-64) = 2.0.14-1.fc18

c++-gtk-utils-devel-2.0.14-1.fc18.x86_64.rpm:
    
    c++-gtk-utils-devel = 2.0.14-1.fc18
    c++-gtk-utils-devel(x86-64) = 2.0.14-1.fc18
    pkgconfig(c++-gtk-utils-3-2.0) = 2.0.14

c++-gtk-utils-2.0.14-1.fc18.x86_64.rpm:
    
    c++-gtk-utils = 2.0.14-1.fc18
    c++-gtk-utils(x86-64) = 2.0.14-1.fc18
    libcxx-gtk-utils-3-2.0.so.0()(64bit)



MD5-sum check
-------------
http://downloads.sourceforge.net/cxx-gtk-utils/c++-gtk-utils-2.0.14.tar.gz :
  CHECKSUM(SHA256) this package     : 74e725a3e606ba9b2ded78e14df8c5cbc86b02fb697be4fbf8bff3ac6e0b5c35
  CHECKSUM(SHA256) upstream package : 74e725a3e606ba9b2ded78e14df8c5cbc86b02fb697be4fbf8bff3ac6e0b5c35


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 909387

Comment 2 Frederik Holden 2013-02-09 21:52:50 UTC
(In reply to comment #1)
> Note: I am on the way to become a packanger, so don't trust me to much maybe
> i am wrong! 

Packager or no, I appreciate the input.


> [!]: Large documentation must go in a -doc subpackage.
>      Note: Documentation size is 10455040 bytes in 453 files.

The large documentation is actually split into a subpackage (devel-doc), but a fedora-review bug (bug 908830) shows this error anyway. This bug has been fixed in 0.4.0-3, which is currently in updates-testing.


> [?]: Fully versioned dependency in subpackages, if present.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
>      devel-doc, %package devel

I have not set up a the base package or the devel package as a requirement for devel-doc. It only contains documentation, and said documentation might be considered useful on its own. If this contracts Fedora policy or practice, I'd be happy to change it.


> [?]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (unversioned/unknown version) LGPL (v2)", "GPL (v2 or later)",
>      "Unknown or generated". 3 files have unknown license. Detailed output of
>      licensecheck in /home/benedikt/909387-c++-gtk-utils/licensecheck.txt

I am somewhat unsure of this myself. Everywhere I check on the SF page, it says that it's LGPLv2 licensed. I can contact upstream for clarification if needed.


> [?]: License file installed when any subpackage combination is installed.

The base package contains COPYING, and devel depends on the base package. devel-doc contains COPYING as well.


> c++-gtk-utils-devel.x86_64: W: no-documentation

Documentation is found in devel-doc.


> c++-gtk-utils-devel.x86_64: W: spelling-error %description -l en_US toolkits
> -> toolkit, tool kits, tool-kits
> c++-gtk-utils.x86_64: W: spelling-error %description -l en_US gtkmm 
> c++-gtk-utils.x86_64: W: spelling-error %description -l en_US wxWidgets ->
> widgets

Not actual spelling errors.

Comment 3 Eduardo Echeverria 2013-02-11 07:49:57 UTC
As I read the README, this package can be compiled and installed in parallel against gtk2 and gtk3, for me is not a blocker, but it would be nice to have the option

Comment 4 Terje Røsten 2013-02-12 09:14:49 UTC
Please make build more verbose to verify:

[X]: %build honors applicable compiler flags or justifies otherwise,

It's not possible from current build:

 http://kojipkgs.fedoraproject.org//work/tasks/9111/4939111/build.log

Comment 5 Frederik Holden 2013-02-12 16:13:59 UTC
(In reply to comment #3)
> As I read the README, this package can be compiled and installed in parallel
> against gtk2 and gtk3, for me is not a blocker, but it would be nice to have
> the option

Perhaps the best way of doing this would be to rename this package to "c++-gtk-utils-gtk3" or "c++-gtk3-utils", and then submitting another review for the GTK2 version?


(In reply to comment #4)
> Please make build more verbose to verify:
> 
> [X]: %build honors applicable compiler flags or justifies otherwise,
> 
> It's not possible from current build:
> 
>  http://kojipkgs.fedoraproject.org//work/tasks/9111/4939111/build.log

Done. The spec and SRPM from the original post has been updated.

Comment 6 Eduardo Echeverria 2013-02-12 21:46:22 UTC
(In reply to comment #5)
> Perhaps the best way of doing this would be to rename this package to
> "c++-gtk-utils-gtk3" or "c++-gtk3-utils", and then submitting another review
> for the GTK2 version?

Actually you could do with the same spec, is a matter of establishing a conditional for when build the package against gtk2, the only thing the two have in common is the documentation package, which share.

These examples may help: [1] Note that Suse has different guidelines as to ours , so take the necessary  , from his point of view and this [2] note the workaround made ​​to build in two separate directories

[1] https://build.opensuse.org/package/view_file?expand=1&file=c%2B%2B-gtk-utils.spec&package=c%2B%2B-gtk-utils&project=GNOME%3AApps

[2] http://pkgs.fedoraproject.org/cgit/mingw-spice-gtk.git/tree/mingw-spice-gtk.spec

Regards

Comment 7 Eduardo Echeverria 2013-02-13 03:29:05 UTC
In http://www.gnu.org/licenses/gpl-howto.en.html can be read

You should also include a copy of the license itself somewhere in the distribution of your program. All programs, whether they are released under the GPL or LGPL, should include the text version of the GPL. In GNU programs the license is usually in a file called COPYING.

If you are releasing your program under the LGPL, you should also include the text version of the LGPL, usually in a file called COPYING.LESSER. Please note that, since the LGPL is a set of additional permissions on top of the GPL, it's important to include both licenses so users have all the materials they need to understand their rights.

Apparently, upstream only included COPYING ,which contains the text of the LGPL, when it should be COPYING.LESSER, and at least COPYING must include the text of the GPL. Hopefully then a clarification from upstream. Once it is ready Frederik, please include COPYING file.

Frederik, provide the link the resulting SRPM every time you make a change to the spec.

Comment 8 Eduardo Echeverria 2013-02-13 03:54:45 UTC
For the readers:
Frederik said me that is working on building the against gtk2 and gtk3 package, and also provided me a link.

http://airwave.fedorapeople.org/c++-gtk-utils/c++-gtk-utils-split.spec

Once he put the link to the finished spec and the resulting SRPM, I proceed to sponsor it. not before seeing him take part in other reviews and do at least a full informal review.

Comment 9 Frederik Holden 2013-02-13 19:51:00 UTC
Thanks to the helpful comments and suggestions by Eduardo as well as rdieter on IRC, I have completed the third version of the spec and resulting SRPM.
Spec: http://airwave.fedorapeople.org/c++-gtk-utils/2.0.14-3/c++-gtk-utils.spec
SRPM: http://airwave.fedorapeople.org/c++-gtk-utils/2.0.14-3/c++-gtk-utils-2.0.14-3.fc18.src.rpm

All three versions of the specs and SRPMs can be found at my fedorapeople space at http://airwave.fedorapeople.org/c++-gtk-utils/, with the above linked version being the most recent at the time of writing.

Assuming this new version is considered acceptable, the only remaining issue is regarding the COPYING.LESSER file, which I have contacted upstream about. I was also informed about a new release, 2.0.15, which is expected to be released in the next few days.

Comment 10 Eduardo Echeverria 2013-02-14 05:00:22 UTC
well, wait for the new release, to do a final formal review to approve the package. You're sponsored. I proceed to remove tag FE-NEEDSPONSOR

Comment 11 Frederik Holden 2013-02-15 07:32:12 UTC
c++-gtk-utils 2.0.15 was released yesterday, and I have updated the package accordingly.

Spec: http://airwave.fedorapeople.org/c++-gtk-utils/2.0.15-1/c++-gtk-utils.spec
SRPM: http://airwave.fedorapeople.org/c++-gtk-utils/2.0.15-1/c++-gtk-utils-2.0.15-1.fc18.src.rpm

Comment 12 Eduardo Echeverria 2013-02-15 09:05:37 UTC
So, now to proceed to the formal review:

rpmlint complains, but this warnings can be ignored:
- spelling errors
- no-documentation in the devel packages, since any subpackage combination install the license


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in c++-gtk-
     utils-gtk2 , c++-gtk-utils-gtk3 , c++-gtk-utils-gtk2-devel , c++-gtk-
     utils-gtk3-devel , c++-gtk-utils-devel-doc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (unversioned/unknown version) LGPL (v2)",
     "Unknown or generated". 3 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/c++feb15/909387-c++-gtk-
     utils/licensecheck.txt
LGPLv2 OK
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 102400 bytes in 8 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: c++-gtk-utils-gtk2-2.0.15-1.fc17.x86_64.rpm
          c++-gtk-utils-gtk3-2.0.15-1.fc17.x86_64.rpm
          c++-gtk-utils-gtk2-devel-2.0.15-1.fc17.x86_64.rpm
          c++-gtk-utils-gtk3-devel-2.0.15-1.fc17.x86_64.rpm
          c++-gtk-utils-devel-doc-2.0.15-1.fc17.noarch.rpm
c++-gtk-utils-gtk2.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils-gtk2.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
c++-gtk-utils-gtk3.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils-gtk3.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
c++-gtk-utils-gtk2-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-gtk2-devel.x86_64: W: no-documentation
c++-gtk-utils-gtk3-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-gtk3-devel.x86_64: W: no-documentation
c++-gtk-utils-devel-doc.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
5 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint c++-gtk-utils-gtk2-devel c++-gtk-utils-devel-doc  
c++-gtk-utils-gtk3 c++-gtk-utils-gtk2 c++-gtk-utils-gtk3-devel
c++-gtk-utils-gtk2-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-gtk2-devel.x86_64: W: no-documentation
c++-gtk-utils-devel-doc.noarch: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-gtk3.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils-gtk3.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
c++-gtk-utils-gtk2.x86_64: W: spelling-error %description -l en_US gtkmm 
c++-gtk-utils-gtk2.x86_64: W: spelling-error %description -l en_US wxWidgets -> widgets
c++-gtk-utils-gtk3-devel.x86_64: W: spelling-error %description -l en_US toolkits -> toolkit, tool kits, tool-kits
c++-gtk-utils-gtk3-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
c++-gtk-utils-gtk2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    c++-gtk-utils-gtk2(x86-64)
    libcxx-gtk-utils-2-2.0.so.0()(64bit)
    pkgconfig(glib-2.0)
    pkgconfig(gthread-2.0)

c++-gtk-utils-devel-doc (rpmlib, GLIBC filtered):

c++-gtk-utils-gtk3 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

c++-gtk-utils-gtk2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    librt.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

c++-gtk-utils-gtk3-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    c++-gtk-utils-gtk3(x86-64)
    libcxx-gtk-utils-3-2.0.so.0()(64bit)
    pkgconfig(glib-2.0)
    pkgconfig(gthread-2.0)



Provides
--------
c++-gtk-utils-gtk2-devel:
    c++-gtk-utils-gtk2-devel
    c++-gtk-utils-gtk2-devel(x86-64)
    pkgconfig(c++-gtk-utils-2-2.0)

c++-gtk-utils-devel-doc:
    c++-gtk-utils-devel-doc

c++-gtk-utils-gtk3:
    c++-gtk-utils-gtk3
    c++-gtk-utils-gtk3(x86-64)
    libcxx-gtk-utils-3-2.0.so.0()(64bit)

c++-gtk-utils-gtk2:
    c++-gtk-utils-gtk2
    c++-gtk-utils-gtk2(x86-64)
    libcxx-gtk-utils-2-2.0.so.0()(64bit)

c++-gtk-utils-gtk3-devel:
    c++-gtk-utils-gtk3-devel
    c++-gtk-utils-gtk3-devel(x86-64)
    pkgconfig(c++-gtk-utils-3-2.0)



MD5-sum check
-------------
http://downloads.sourceforge.net/cxx-gtk-utils/c++-gtk-utils-2.0.15.tar.gz :
  CHECKSUM(SHA256) this package     : 1207e12ab1bec03b000a1d4b314027e140fa935a2683ee62fe2142b7f706aa54
  CHECKSUM(SHA256) upstream package : 1207e12ab1bec03b000a1d4b314027e140fa935a2683ee62fe2142b7f706aa54

----------------

PACKAGE APPROVED

----------------

Welcome to the package maintainers group.

Frederik , you can now proceed to request a repository:
https://fedoraproject.org/wiki/Package_SCM_admin_requests

Comment 13 Frederik Holden 2013-02-15 10:56:29 UTC
(In reply to comment #12)
> Welcome to the package maintainers group.

Excellent! Thank you so much.


> Frederik , you can now proceed to request a repository:
> https://fedoraproject.org/wiki/Package_SCM_admin_requests

I probably don't have time to do so today, so I will start that process this weekend.

Comment 14 Frederik Holden 2013-02-18 15:46:21 UTC
New Package SCM Request
=======================
Package Name: c++-gtk-utils
Short Description: A library for GTK+ programming with C++
Owners: airwave echevemaster
Branches: f17 f18
InitialCC:

Comment 15 Gwyn Ciesla 2013-02-18 16:11:54 UTC
Git done (by process-git-requests).

Reviewer, please correct review flag.

Comment 16 Fedora Update System 2013-02-18 19:35:43 UTC
c++-gtk-utils-2.0.15-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/c++-gtk-utils-2.0.15-1.fc18

Comment 17 Fedora Update System 2013-02-18 20:56:34 UTC
c++-gtk-utils-2.0.15-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/c++-gtk-utils-2.0.15-1.fc17

Comment 18 Fedora Update System 2013-02-20 03:59:26 UTC
c++-gtk-utils-2.0.15-1.fc17 has been pushed to the Fedora 17 testing repository.

Comment 19 Fedora Update System 2013-02-28 07:05:31 UTC
c++-gtk-utils-2.0.15-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 20 Fedora Update System 2013-02-28 07:09:33 UTC
c++-gtk-utils-2.0.15-1.fc17 has been pushed to the Fedora 17 stable repository.


Note You need to log in before you can comment on or make changes to this bug.